package core

import (
	"github.com/grufwub/go-errors"
)

// Core ErrorCodes
var (
	ErrConnWrite      = errors.BaseError("conn write error")
	ErrConnRead       = errors.BaseError("conn read error")
	ErrConnClose      = errors.BaseError("conn close error")
	ErrListenerAccept = errors.BaseError("listener accept")
	ErrMutexUpgrade   = errors.BaseError("mutex upgrade fail")
	ErrMutexDowngrade = errors.BaseError("mutex downgrade fail")
	ErrFileOpen       = errors.BaseError("file open error")
	ErrFileStat       = errors.BaseError("file stat error")
	ErrFileRead       = errors.BaseError("file read error")
	ErrFileType       = errors.BaseError("unsupported file type")
	ErrDirectoryRead  = errors.BaseError("directory read error")
	ErrRestrictedPath = errors.BaseError("restricted path")
	ErrUnescapingHost = errors.BaseError("unescaping host")
	ErrUnescapingPath = errors.BaseError("unescaping path")
	ErrParsingScheme  = errors.BaseError("scheme parse fail")
	ErrParsingHost    = errors.BaseError("host parse fail")
	ErrParsingURI     = errors.BaseError("URI parse fail")
	ErrInvalidRequest = errors.BaseError("invalid request")
	ErrCGIStart       = errors.BaseError("CGI start error")
	ErrCGIExitCode    = errors.BaseError("CGI non-zero exit code")
)
